# Source code for azure.mgmt.logic.models.integration_account_session_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from .resource_py3 import Resource

    class IntegrationAccountSession(Resource):
        """The integration account session.

        Variables are only populated by the server, and will be ignored when
        sending a request.

        :ivar id: The resource id.
        :vartype id: str
        :ivar name: Gets the resource name.
        :vartype name: str
        :ivar type: Gets the resource type.
        :vartype type: str
        :param location: The resource location.
        :type location: str
        :param tags: The resource tags.
        :type tags: dict[str, str]
        :ivar created_time: The created time.
        :vartype created_time: datetime
        :ivar changed_time: The changed time.
        :vartype changed_time: datetime
        :param content: The session content.
        :type content: object
        """

        _validation = {
            'id': {'readonly': True},
            'name': {'readonly': True},
            'type': {'readonly': True},
            'created_time': {'readonly': True},
            'changed_time': {'readonly': True},
        }

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'location': {'key': 'location', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'created_time': {'key': 'properties.createdTime', 'type': 'iso-8601'},
            'changed_time': {'key': 'properties.changedTime', 'type': 'iso-8601'},
            'content': {'key': 'properties.content', 'type': 'object'},
        }

        def __init__(self, *, location: str=None, tags=None, content=None, **kwargs) -> None:
            super(IntegrationAccountSession, self).__init__(location=location, tags=tags, **kwargs)
            self.created_time = None
            self.changed_time = None
            self.content = content